Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

Creates a new step and adds it to the protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

Body
stepTypestring or null
idinteger(int32)
namestringrequired
stepOrderinteger(int32)
makeNameUniqueboolean
disabledboolean
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "stepType": "string",
    "id": 0,
    "name": "string",
    "stepOrder": 0,
    "makeNameUnique": true,
    "disabled": true
  }'

Responses

The protocol step that was created

Bodyapplication/json
One of:
stepTypestring or nullread-only

The step type discriminator. Possible values are AddReagentStep, ReplicateSamplesStep, TransferSamplesStep, HeatShakeStep, PauseStep, HitPickingStep, SerialDilutionStep, RtsaStep, BarcodeStep, TransportStep NormalizationStep, ReagentFromFileStep, LightingStep, HeatCoolStep, LidStep, and HepaStep

idinteger(int32)read-only

The id of the step

namestringread-onlyrequired

The name of the step

stepOrderinteger(int32)read-only

The order where the step is in a protocol

disabledbooleanread-only

Whether the step is disabled or not

Response
application/json
{ "stepType": "string", "id": 0, "name": "string", "stepOrder": 0, "disabled": true }

Update a step within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

Bodyapplication/json
stepTypestring or null
idinteger(int32)
namestringrequired
stepOrderinteger(int32)
makeNameUniqueboolean
disabledboolean
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "stepType": "string",
    "id": 0,
    "name": "string",
    "stepOrder": 0,
    "makeNameUnique": true,
    "disabled": true
  }'

Responses

The step was updated successfully

Response
No content

Get steps within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

Query
offsetinteger(int32)
limitinteger(int32)
includeFullStepDataboolean

If full step data should be included, basic step data is always included

Default true
includeCustomLiquidSettingsboolean

If custom liquid settings should be included

Default true
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step?offset=0&limit=0&includeFullStepData=true&includeCustomLiquidSettings=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of steps

Bodyapplication/jsonArray [
One of:
stepTypestring or nullread-only

The step type discriminator. Possible values are AddReagentStep, ReplicateSamplesStep, TransferSamplesStep, HeatShakeStep, PauseStep, HitPickingStep, SerialDilutionStep, RtsaStep, BarcodeStep, TransportStep NormalizationStep, ReagentFromFileStep, LightingStep, HeatCoolStep, LidStep, and HepaStep

idinteger(int32)read-only

The id of the step

namestringread-onlyrequired

The name of the step

stepOrderinteger(int32)read-only

The order where the step is in a protocol

disabledbooleanread-only

Whether the step is disabled or not

]
Response
application/json
[ { "stepType": "string", "id": 0, "name": "string", "stepOrder": 0, "disabled": true } ]

Reorders the step within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

Bodyapplication/jsonArray [
stepIdinteger(int32)
stepOrderinteger(int32)
]
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step/reorder-step' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "stepId": 0,
      "stepOrder": 0
    }
  ]'

Responses

The steps were reordered successfully

Response
No content

Rename a step within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

stepIdinteger(int32)required

The database id of the step

Bodyapplication/json
newNamestring or null

New name of a step

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step/rename/{stepId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "newName": "string"
  }'

Responses

The step was renamed successfully

Response
No content

Enable or Disable a step within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

stepIdinteger(int32)required

The database id of the step

Bodyapplication/json
disabledboolean

Enable or disable a step

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step/disable/{stepId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "disabled": true
  }'

Responses

The step's disable property was set successfully

Response
No content

Get a step within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

stepIdinteger(int32)required
Query
includeCustomLiquidSettingsboolean

If custom liquid settings should be included

Default true
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step/{stepId}?includeCustomLiquidSettings=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The step

Bodyapplication/json
One of:
stepTypestring or nullread-only

The step type discriminator. Possible values are AddReagentStep, ReplicateSamplesStep, TransferSamplesStep, HeatShakeStep, PauseStep, HitPickingStep, SerialDilutionStep, RtsaStep, BarcodeStep, TransportStep NormalizationStep, ReagentFromFileStep, LightingStep, HeatCoolStep, LidStep, and HepaStep

idinteger(int32)read-only

The id of the step

namestringread-onlyrequired

The name of the step

stepOrderinteger(int32)read-only

The order where the step is in a protocol

disabledbooleanread-only

Whether the step is disabled or not

Response
application/json
{ "stepType": "string", "id": 0, "name": "string", "stepOrder": 0, "disabled": true }

Delete a step within a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol

stepIdinteger(int32)required

The database id of the step

curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{protocolId}/step/{stepId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The step was deleted successfully

Response
No content

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations